Foreman - Bug #15232

Usergroup Inherited Roles are not shown to Users in "My Account/Roles" tab
05/30/2016 12:05 PM - Simon Miigge

Status: Closed
Priority: Normal
Assignee: Dominik Hlavac Duran
Category: Users, Roles and Permissions
Target version: 1.14.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.2
Bugzilla link: 1426957 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3709
Description

When only assigning a Role to a User via inheritance from a Usergroup, no Roles are shown in that users "My Account/Roles" tab.

User in this case has "Anonymous" (which is seemingly never shown any way) and "Viewer" inherited from a (linked LDAP-)Group.

Hammer also only shows "Anonymous" when querying the user in question, not the inherited role "Viewer" from the listed Usergroup.

$ hammer user info --login foobar
Id: 57

Login: foobar
Name: Foo Bar
Email: foo@bar.com
Admin: no
Authorized by:

Locale: default
Timezone:

Last login:
Default organization:
Default location:
Roles:

Anonymous
User groups:

Some Group

2016/05/30 11:58:35

Created at: 2016/05/23 14:49:28
Updated at: 2016/05/30 12:52:51
Shammer user—group info —--name "Some Group"
Id: 4
Name: Some Group
Users:
foobar

User groups:

External user groups:

LDAP - Some Group

Roles:
Viewer
Created at: 2016/05/20 14:09:46
Updated at: 2016/05/20 14:09:46
Related issues:
Related to Foreman - Bug #15231: Usergroup Inherited Roles are not shown to U... Rejected 05/30/2016
Related to Hammer CLI - Bug #16016: Usergroup Inherited Roles are not shown i... Closed 08/09/2016
Revision 2a3ede3c - 11/22/2016 11:50 AM - Dominik Hlavac Duran

Fixes #15232 - Showing inherited roles from User groups to user

History

#1 - 05/31/2016 02:28 AM - Marek Hulan

- Related to Bug #15231: Usergroup Inherited Roles are not shown to Users in "My Account/Roles" tab added

#2 - 05/31/2016 04:13 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#3 - 07/28/2016 10:07 AM - Marek Hulan

- Target version set to 115

#4 - 08/03/2016 04:27 AM - Dominik Hlavac Duran
- Status changed from New to Assigned

- Assignee set to Dominik Hlavac Duran

#5 - 08/04/2016 10:53 AM - Marek Hulan

- Target version changed from 115 to 1.6.3

#6 - 08/05/2016 11:27 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3709 added

#7 - 08/09/2016 03:40 AM - Dominik Hlavac Duran

- Related to Bug #16016: Usergroup Inherited Roles are not shown in hammer added

#8 - 08/16/2016 09:39 AM - Marek Hulan

- Target version changed from 1.6.3 to 1.6.0

#9 - 09/06/2016 10:55 AM - Marek Hulan

- Target version changed from 1.6.0 to 1.5.3

#10 - 09/29/2016 07:16 AM - Marek Hulan

- Target version changed from 1.5.3 to 1.5.0

#11 - 10/18/2016 10:32 AM - Marek Hulan

- Target version changed from 1.5.0 to 1.4.2

#12 - 11/08/2016 09:35 AM - Marek Hulan

- Target version changed from 1.4.2 to 1.4.4

#13 - 11/22/2016 12:02 PM - Dominik Hlavac Duran
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2a3ede3c19f058a65088cb4a5a9df6fdda6f50f9.

#14 - 11/23/2016 04:11 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#15 - 06/21/2017 04:44 AM - Daniel Lobato Garcia
- Bugzilla link set to 1426957
